
%global git_revno 705

Name:           openstack-packstack
Version:        2013.1.1
#Release:       1%{?dist}
Release:        0.37.dev%{git_revno}%{?dist}
Summary:        Openstack Install Utility

Group:          Applications/System
License:        ASL 2.0 and GPLv2
URL:            https://github.com/stackforge/packstack
# Tarball is created by bin/release.sh
Source0:        http://mmagr.fedorapeople.org/downloads/packstack/packstack-%{version}dev%{git_revno}.tar.gz

Patch0:         dhcpbridge_flagfile-bz903545.patch
Patch1:         signing_dir-bz976081.patch
Patch2:         0001-rhel-check-bz893934.patch
Patch3:         0002-selinux-bz918549.patch
Patch4:         0003-change-warning-bz966560.patch
Patch5:         0004-qemu-kvm-bz971801.patch
Patch6:         0005-dhcp-bz903545.patch
Patch7:         0006-token_format-bz975050.patch
Patch8:         0007-Adds-Firewall-rules-for-mysql-access.patch
Patch9:         0008-Adds-Firewall-rules-for-nova-access.patch
Patch10:        0009-Adds-Firewall-rules-for-glance-access.patch
Patch11:        0010-Adds-Firewall-rules-for-neutron-access.patch
Patch12:        0011-Adds-Firewall-rules-for-cinder-access.patch
Patch13:        0012-Adds-Firewall-rules-for-swift-access.patch
Patch14:        0013-Adds-support-for-multihost-nova-network.patch
Patch15:        0014-Adds-Firewall-rules-for-nagios-nrpe-access.patch
Patch16:        0015-Adds-Firewall-rules-for-keystone-access.patch
Patch17:        0016-Backported-QPID-firewall-settings.patch
Patch18:        0017-Replace-qpid_host-with-qpid_hostname.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?rhel}
BuildRequires:  python-sphinx10
%else
BuildRequires:  python-sphinx
%endif

Requires:       openssh-clients

%description
Packstack is a utility that uses puppet modules to install openstack
packstack can be used to deploy various parts of openstack on multiple
pre installed servers over ssh. It does this by using puppet manifests to
apply Puppet Labs modules (https://github.com/puppetlabs/)


%package -n packstack-modules-puppet
Summary:        Set of Puppet modules for OpenStack

%description -n packstack-modules-puppet
Set of Puppet modules used by Packstack to install OpenStack


%prep
#%setup -n packstack-%{version}
%setup -n packstack-%{version}dev%{git_revno}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

# Sanitizing a lot of the files in the puppet modules, they come from seperate upstream projects
find packstack/puppet/modules \( -name .fixtures.yml -o -name .gemfile -o -name ".travis.yml" -o -name .rspec \) -exec rm {} \;
find packstack/puppet/modules \( -name "*.py" -o -name "*.rb" -o -name "*.pl" \) -exec sed -i '/^#!/{d;q}' {} \; -exec chmod -x {} \;
find packstack/puppet/modules \( -name "*.sh" \) -exec sed -i 's/^#!.*/#!\/bin\/bash/g' {} \; -exec chmod +x {} \;
find packstack/puppet/modules -name site.pp -size 0 -exec rm {} \;
find packstack/puppet/modules \( -name spec -o -name ext \)  | xargs  rm -rf

# Moving this data directory out temporarily as it causes setup.py to throw errors
rm -rf %{_builddir}/puppet
mv packstack/puppet %{_builddir}/puppet


%build
# puppet on fedora already has this module, using this one causes problems
%if 0%{?fedora}
    rm -rf %{_builddir}/puppet/modules/create_resources
%endif

%{__python} setup.py build

cd docs
%if 0%{?rhel}
make man SPHINXBUILD=sphinx-1.0-build
%else
make man
%endif


%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

mkdir -p %{buildroot}/%{_datadir}/packstack/
mv %{_builddir}/puppet %{buildroot}/%{python_sitelib}/packstack/puppet
cp -r %{buildroot}/%{python_sitelib}/packstack/puppet/modules  %{buildroot}/%{_datadir}/packstack/modules

mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 docs/_build/man/*.1 %{buildroot}%{_mandir}/man1/


%files
%doc LICENSE
%{_bindir}/packstack
%{python_sitelib}/packstack
%{python_sitelib}/packstack-%{version}*.egg-info
%{_mandir}/man1/packstack.1.gz


%files -n packstack-modules-puppet
%defattr(644,root,root,755)
%{_datadir}/packstack/modules/


%changelog
* Thu Nov 14 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.37.dev705
- Fix branch for puppet-nova module (rhbz#1030298)
- Backported fix for netns.py script (rhbz#1030081)

* Wed Nov 13 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.36.dev699
- Fixed missing host_iter function in grizzly (rhbz#1021527)
- Module update (rhbz#1026279)
- Added 0017-Replace-qpid_host-with-qpid_hostname.patch

* Fri Nov 01 2013 Lon Hohberger <lhh@redhat.com> - 2013.1.1-0.35.dev696
- Added 0017-Fixed-missing-host_iter-function-in-grizzly.patch (#1021527)

* Thu Oct 31 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.34.dev696
- Ensure Nova Network-compatible demo provisioning (#1022661)
- Fixed 0010-Adds-Firewall-rules-for-neutron-access.patch (#1023979)
- Added 0014-Adds-Firewall-rules-for-nagios-nrpe-access.patch,
        0015-Adds-Firewall-rules-for-keystone-access.patch,
        0016-Backported-QPID-firewall-settings.patch

* Mon Oct 23 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.33.dev695
- Added backport patches for #1002063 and #1001916
- Packstack accepts more CLI options (#985361)
- Add GRE support (#1004397)

* Mon Sep 2 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.32.dev683
- Install openstack-selinux on all EL distros (#996773)
- Inform about support only on RHEL (#975913)
- Persist allinone OVS bridge (#991591)
- Make demo floating_range configurable

* Mon Aug 26 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.31.dev677
- Added race conditions to sysctl.conf edit (#997941)

* Mon Aug 19 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.30.dev672
- Added net.bridge.bridge-nf-call*=1 for --allinone installation (#997941)
- Added global option --exclude-servers=EXCLUDE_SERVERS (#996782)

* Wed Aug 14 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.27.dev660
- Update inifile module to support empty values (#996694)
- ovs_use_veth=True is no longer required
- Allow tempest repo uri and revision configuration

* Thu Aug 08 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.26.dev657
- Minor Quantum/Neutron fixes

* Mon Aug 05 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.25.dev653
- Enable qpidd on boot (#988803)

* Thu Jul 25 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.24.dev651
- Swithed to https://github.com/packstack/puppet-qpid (#977786)
- If allinone and quantum selected, install basic network (#986024)

* Wed Jul 10 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.23.dev642
- Fixed provider network option (#976380)
- Made token_format configurable (#978853)
- Enable LVM snap autoextend (#975894)

* Wed Jul 10 2013 Martin Magr <mmagr@redhat.com> - 2013.1.1-0.22.dev632
- Added 0009-Fix-provider-network-option.patch (#976380)

* Mon Jul 08 2013 Martin Magr <mmagr@redhat.com> - 2013.1.1-0.21.dev632
- Added 0008-Add-support-for-provider-networks.patch (#976380)

* Thu Jun 20 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.20.dev632
- Added signing_dir-bz976081.patch (#976081)

* Tue Jun 18 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.19.dev632
- Restart openstack-cinder-volume service (#975007)

* Mon Jun 17 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.18.dev631
- Added 0007-token_format-bz975050.patch (#975050)

* Wed Jun 12 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.17.dev631
- Updated Keystone puppet module to have token_format=PKI as default

* Tue Jun 11 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.16.dev630
- Always update kernel package (#972960)

* Mon Jun 10 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.15.dev625
- Omit Nova DB password only on compute nodes (#966325)
- Find free device during host startup (#971145)

* Mon Jun 10 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.14.dev622
- Reverted Nova sql_connection changes because of introduced regression (#966325, #972365)

* Fri Jun 07 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.13.dev621
- Added qemu-kvm-bz971801.patch (#957632)

* Thu Jun 06 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.12.dev621
- Install qemu-kvm before libvirt (#957632)
- Add template for quantum API server (#968513)
- Removed SQL password in sql_connection for compute hosts (#966325)
- Fixed color usage (#971075)
- Activate cinder-volumes VG and scan PVs after reboot (#971145)

* Tue Jun 05 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.9.dev605
- Added whitespace filter to Nova and Quantum plugins (rhbz#970674)
- Removed RDO repo installation procedure

* Tue Jun 04 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.8.dev601
- Update to most recient keystone modules (rhbz#953157)
- Add netns support check (rhbz#966560)
- Open port for Quantum server (rhbz#967291)
- Enable quantum-ovs-cleanup service where it exists (rhbz#967306)
- Don't ask L2 plugin question if Quantum is not installed. (rhbz#967307)
- Use CONFIG_QUANTUM_OVS_BRIDGE_MAPPINGS parameter (rhbz#967344)
- Make OVS db name ovs_quantum to mimic devstack/setup scripts (rhbz#967348)
- Added rhos-ovs-use-veth-bz969975.patch (rhbz#969975)
- Change firewall rules before libvirt installation (rhbz#965787)
- Added patch change-warning-bz966560.patch (rhbz#966560)

* Thu May 23 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.7.dev580
- Dynamically set osapi_compute_workers option for nova (rhbz#915881)
- Change ownership of /var/tmp/packstack if it is possible (rhbz#920516)
- Explicitly enable nagios and nrpe services (rhbz#929089)
- Disable glance caching (rhbz#947611)
- Fix for nagios multiple installation failures (rhbz#950975)
- Get rid of empty flags in Satellite registration (rhbz#957225)
- Don't allow --allinone and --answer file together (rhbz#957761)
- Strip host CONFIG_NOVA_COMPUTE_HOSTS from whitespaces (rhbz#961390)
- Add Quantum support (rhbz#894828)

* Mon May 20 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.6.dev538
- Added missing selinux-bz918549.patch (rhbz#965001)

* Mon May 13 2013 Martin Mágr <mmagr@redhat.com> - 2013.1.1-0.5.dev538
- Initial Grizzly build

* Thu Mar 28 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.11.dev475
- packstack-modules-puppet holds a copy of the puppet modules
- Fixes: rhbz#928776

* Mon Mar 25 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.10.dev475
- Only print warning about cert if it was generated, Fixes rhbz#924358

* Thu Mar 21 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.9.dev475
- Insert space to fix typo Fixes: rhbz#920867
- Skip optparse validation for regex options Fixes: rhbz#924159

* Thu Mar 21 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.8.dev475
- Propery let ssl key size Fixes: rhbz#919071

* Wed Mar 20 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.7.dev475
- Specifiy the network size when creating fixed network
- Fixes: rhbz#923650

* Tue Mar 19 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.6.dev475
- remove epel option Fixes: rhbz#920812
- reword beta repo description Fixes: rhbz#920809
- Fixes: rhbz#920812, rhbz#920809

* Wed Mar 13 2013 Martin Magr <mmagr@redhat.com> - 2012.2.3-0.5.dev475
- Updated to version 2012.2.3dev475
- Fixes: rhbz#909424, rhbz#910556, rhbz#915383, rhbz#916605, rhbz#916618,
         rhbz#916783, rhbz#917073, rhbz#918304, rhbz#918589, rhbz#919071,
         rhbz#920230, rhbz#920867

* Thu Mar 7 2013 Martin Magr <mmagr@redhat.com> - 2012.2.3-0.2.dev454
- Updated selinux patch (rhbz#918549)

* Wed Feb 27 2013 Martin Magr <mmagr@redhat.com> - 2012.2.3-0.1.dev454
- Updated to version 2012.2.3dev454
- Fixes: rhbz#865347, rhbz#888725, rhbz#892247, rhbz#893107, rhbz#894733,
         rhbz#896618, rhbz#903545, rhbz#903813, rhbz#904670, rhbz#905081,
         rhbz#905368, rhbz#908695, rhbz#908771, rhbz#908846, rhbz#908900,
         rhbz#910089, rhbz#910210, rhbz#911626, rhbz#912006, rhbz#912702,
         rhbz#912745, rhbz#912768, rhbz#915382

* Fri Feb 15 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-1.0.dev408
- Updated to version 2012.2.2dev408
- Fixes: rhbz#911653

* Wed Feb 13 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.9.dev406
- Updated to version 2012.2.2dev406
- Fixes: rhbz#886592, rhbz#886603, rhbz#890295, rhbz#892942, rhbz#903187,
         rhbz#903502, rhbz#904669, rhbz#905368, rhbz#905516, rhbz#905737,
         rhbz#905842, rhbz#906006, rhbz#906410, rhbz#907624, rhbz#907737,
         rhbz#908103, rhbz#908837, rhbz#908838, rhbz#910211, rhbz#910818

* Tue Jan 29 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.8.dev346
- Updated to version 2012.2.2dev346

* Mon Jan 28 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.6.dev345
- Updated to version 2012.2.2dev345
- Added RHEL-6.4 check patch (rhbz#893934)

* Mon Jan 21 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.5.dev318
- Updated to version 2012.2.2dev318

* Fri Jan 18 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.4.dev315
- Added openstack-utils to Requires
- Updated to version 2012.2.2dev315

* Fri Jan 11 2013 Derek Higgins <derekh@redhat.com> - 2012.2.2-0.3.dev281
- updated to version 2012.2.2dev281

* Fri Dec 07 2012 Derek Higgins <derekh@redhat.com> - 2012.2.2-0.2.dev211
- Fixed packaging, shebang in .sh files was being removed
- updated to version 2012.2.2dev211

* Wed Dec 05 2012 Derek Higgins <derekh@redhat.com> - 2012.2.2-0.1.dev205
- Fixing pre release versioning
- updated to version 2012.2.2dev205

* Fri Nov 30 2012 Derek Higgins <derekh@redhat.com> - 2012.2.1-1dev197
- cleaning up spec file
- updated to version 2012.2.1-1dev197

* Wed Nov 28 2012 Derek Higgins <derekh@redhat.com> - 2012.2.1-1dev186
- example packaging for Fedora / Redhat
